<template>
  <div class="signIn_step">
    <ThePart1
      @allChecked="allChecked"
      @nextStep="nextStep"></ThePart1>
    <h2 class="signIn_step-pretitle">{{$t('authorization.step2.subtitle')}}</h2>
    <PageCard
      gradient>
      <ThePart2></ThePart2>
      <ThePart3></ThePart3>
    </PageCard>
    <div class="signIn_inner-body flex flex-center">
      <div class="signIn_inner-padding">
        <Btn
          transparent
          style="width: 250px;"
          :disabled="!ableToNext"
          @click="nextStep">{{$t('authorization.step2.part1.continue')}}
        </Btn>
      </div>
    </div>
  </div>
</template>

<script>
  import ThePart1 from './Step2/ThePart1';
  import ThePart2 from './Step2/ThePart2';
  import ThePart3 from './Step2/ThePart3';
  import Btn from '~/components/UI/BtnSign_plain';
  import PageCard from '~/components/UI/PageCard';

  export default {
    name: "TheStep2",
    data() {
      return {
        ableToNext: false
      }
    },
    components: {
      ThePart1,
      ThePart2,
      ThePart3,
      Btn,
      PageCard
    },
    methods: {
      allChecked(val) {
        this.ableToNext = val;
      },
      nextStep() {
        this.$store.commit('signIn/SET_STEP', {
          key: 'step2',
          value: true
        });
        this.$emit('nextStep');
        this.ga('cont');
      },
    }
  }
</script>
